package pds.util;

import javax.mail.*;
import javax.mail.internet.*;
import java.util.*; 

/**
 * Requires the JavaMail API to be installed:
 *
 * At the time it is available from: 
 * 
 * http://java.sun.com/products/javamail/index.jsp
 *
 * JavaBeansTM Activation Framework extension or JAF (javax.activation). 
 * It is available at http://java.sun.com/beans/glasgow/jaf.html.
 *
 **/
public class SMTPMail 
{	
	/**
	 * Send messages using SMTP protocol
	 **/
	static public void send(String host, String recipients, String subject, ArrayList message , String from) 
		throws MessagingException
	{
		String[]	part;
		part = recipients.split(",");
		for(int i = 0; i < part.length; i++) {
			part[i] = part[i].trim();
		}
		send(host, part, subject, message, from);
	}
		
	/**
	 * Send messages using SMTP protocol
	 **/
	static public void send(String host, String recipients[], String subject, ArrayList message , String from) 
		throws MessagingException
	{
		ArrayList list = new ArrayList();
		
		for(int i = 0; i < recipients.length; i++) { list.add(recipients[i]); }
		send(host, list, subject, message, from);
	}
	
	/**
	 * Send messages using SMTP protocol
	 **/
	static public void send(String host, ArrayList recipients, String subject, ArrayList message, String from) 
		throws MessagingException
	{
	    boolean debug = false;
	    String	buffer;
		Iterator	it;
		
	     // Set the host SMTP address
	     Properties props = new Properties();
	     props.put("mail.smtp.host", host);
	
	    // create some properties and get the default Session
	    Session session = Session.getDefaultInstance(props, null);
	    session.setDebug(debug);
	
	    // create a message
	    Message msg = new MimeMessage(session);
	
	    // set the from and to address
	    InternetAddress addressFrom = new InternetAddress(from);
	    msg.setFrom(addressFrom);
	
	    InternetAddress[] addressTo = new InternetAddress[recipients.size()]; 
	    int i = 0;
	    it = recipients.iterator();
	    while(it.hasNext()) {
	        addressTo[i++] = new InternetAddress((String) it.next());
	    }
	    msg.setRecipients(Message.RecipientType.TO, addressTo);
	   
	
	    // Optional : You can also set your custom headers in the Email if you Want
	    // msg.addHeader("MyHeaderName", "myHeaderValue");
	
	    // Setting the Subject and Content Type
	    msg.setSubject(subject);
	    
	    // Build up message content
	    buffer = "";
	    it = message.iterator();
	    while(it.hasNext()) buffer += ((String) it.next()) + "\n";
	    
	    // Set message content
	    msg.setContent(buffer, "text/plain");
	    
	    // Send the message
	    Transport.send(msg);
	}
}